%define module  Error
%define name    perl-%{module}
%define version 0.17001
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL or Artistic
Group:          Development/Perl
Summary:        Error/exception handling in an OO-ish way
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Config/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
The Error package provides two interfaces. Firstly Error
provides a procedural interface to exception handling.
Secondly Error is a base class for errors/exceptions that
can either be thrown, for subsequent catch, or can simply
be recorded.
Errors in the class Error should not be thrown directly,
but the user should throw errors from a sub-class of Error.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README examples
%{perl_vendorlib}/Error
%{perl_vendorlib}/Error.pm
%{_mandir}/*/*

%changelog
* Wed Aug 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17001-1mdv2007.0
- new version

* Wed Apr 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15009-1mdk
- New release 0.15009

* Thu Apr 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15008-1mdk
- New release 0.15008
- spec cleanup
- %%mkrel
- better summary
- don't ship MANIFEST file

* Mon Jun 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.15-7mdk
- rebuild for new Perl

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.15-6mdk
- rebuild for new perl
- rm -rf %{buildroot} in %%install, not %%prep
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.15-4mdk
- rebuild for new auto{prov,req}

* Fri Jan 24 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.15-3mdk
- rebuilt

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.15-2mdk
- rebuild with new perl

* Fri Mar  8 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.15-1mdk
- First MandrakeSoft Package
